Upgrade Oracle Applications to 11.5.10 CU 2

This post is coming bit late & I know lot of you might be wondering when Oracle Apps R12 is in market why I am still writing on 11.5.10 Upgrade . Looking at quesries/doubts/document request by many of my readers in mail and in forum at http://teachMeOracle.com/forum I thought of covering entire 11.5.10 upgrade and its related docs in this post.
This post will focus on 11.5.10.2 which is oracle apps version 11.5.10 with CU 2 and patch number is 3480000 and related metalink note is 316365.1 . Minimum prereq AD patch for 11.5.10.2 is AD.I.2 (4337683)

Please Note:
1. Patch 348000 (11.5.10.2) is for 11.5.9 or lower version , If you are already on 11.5.10 and which to apply CU2 then this is not right patch for you.

2. Steps mentioned here are for upgarding your apps version 11.5.X , This post doesn’t cover upgrade procedure from 10.7 or 11.0.3

3. If you have language other than US then you have to apply translated version of patch as well
4. To reduce Upgrade downtime you can use staged APPL_TOP methodology mentioned in metalink note # 242480.1 Using a Staged Applications 11i System to Reduce Patching Downtime
5. MRC schema is no more used from 11.5.10 onwards so you can drop MRC schema after upgrade so there is no need to maintain/synchronize MRC before or after 11.5.10 (CU2) upgrade

6. 11.5.10.2 requires database version 9.2.X and higher so you can upgarde to 9.2.X or 10.1.X before Upgarde . If you wish to upgrade to database 10.2.X then its better you do it after 11.5.10.2 Update.

7. Since I upgraded Financial & HRMS system so I will focus on steps related to these module but check optional steps mentioned in metalink note # 316365.1 , There are some additional steps for Windows which are not covered in this post

8. To reduce patch downtime online help patches can be applied at later stage

A) Pre Update task
Compulsory Steps
—————–
A.1 As mentioned above apply AD.I.2

A.2 Update Autoconfig Tech Stack template files – Autoconfig uses Template files to build files specific to your applications

A.3 Run Technology Validation Utility – This will test minimum tech stack components required to run 11.5.10.2 (Tech Stack components are database, forms & reports, discoverer, Jinitiator, JDK, OJSP, JDBC, libraries for web & form server )

A.4 Check OATM step mentioned in optional steps below. If you are not migrating to OATM mentioned above then prepare your table space to include new space requirement and new products . Read me of patch 3180164 will help you in creating additional tablespaces.

Optional Steps
—————-
A.5 Manual Update script – Run this script to find optional & compulsory manual steps you should do before upgarding (This script is specific to an Instance and vary instance to instance)

A.6 Convert database to OATM (Earlier tablespace were based on OFA/Optimal Flexible Architecture where each product used to have one data & one index tablespaces so there were around 200+ tablespace which was difficult to manage which is now moved to ATM/Application Tablespace Model which is simple to manage & there are around 15 table spaces)

A.7 This steps is only required if you are using audit trails & shadow tables name > 26 characters. For auditing purpose you may have auiting enabled for Instance which you want to upgrade then you must change shadow table names (I will cover more on auditing in oracle applications in coming post) before any new columns can be added . HRMS & Payroll customers with Auditing enabled focus on this. If you are not sure if any of your shadow table name is > 26 then use script FNDATCTBL.sql provided with patch 3872242

A.8 If you are using any of product which require ilog planner libraries then apply related patches

A.9 Unmerge of Contacts from TCA Process is long running process during 11.5.10.2 upgrade process so if you wish to reduce downtime during upgrade
then run this program before upgrade else it will be executed during upgrade
process

Apply Maintenance Pack
===================
1. Shutdown application tier services

2. If your database is not 9i upgrade it now

3. Apply maintenance patch . This is unified driver

4. Apply any additional languages patches (If your installation is multi language)

Post Update task
==============
1. Apply Interoperability patch (If you upgraded database to 10g)

2. Register new product , If you want to use any product installed as part of 11.5.10.2 you have to manually license it via OAM

3. Drop MRC schema (As mentioned above MRC schema is no longer required from
11.5.10)

4. If you are not using HRMS Pack I before upgrading to 11.5.10.2 then you have to apply HR legislative updates

5. There are product specific updates which you should carry out with your
functional consultant.

For complete list and extensive steps to upgrade follow metalink note # 316365.1

Share This Post with Your Friends over Social Media!

About the Author Atul Kumar

Leave a Comment:

17 comments
Anonymous says February 12, 2007

Note:242480.1 Using a Staged Applications 11i System to Reduce Patching Downtime

It refers a staged APPL_TOP, but doesn’t mention how to stage COMMON_TOP and ORA_TOP (6i and Apache home).

Any idea about this? Thanks.

Reply
Atul Kumar says February 12, 2007

Nice question anonymous, Yes you use entire application tier as staged (Think appl_top) in terms of application tier because when you apply apps patch using adpatch only appl_top changes (if you apply tech stack patches jinit, iAS or forms & report) . So you can stage entire application tier. At actual upgrade you just have to upgrade database tier and you need to copy application tier (appl_top, comn_top & iAS & 806)

Reply
Bhetaal says March 30, 2007

From what release of 11.5.x have you performed the upgrade? How long did it take to do the upgrade?

Reply
neto says April 5, 2007

Hi Atul,
What should we do if we want to upgrade from 11.0.3 ?
Thanks

Reply
Shailender says April 19, 2007

Hi,

I had upgrade from 11.5.9 to 11.5.10 after this i want to upgrade my db from 9.2.07 to 9.2.0.8. Please let me know the steps for the upgrade of the db.

thanks,
Shailender

Reply
Atul Kumar says April 21, 2007

For any apps quesries/questions / doubts raise them in forum at http://teachMeOracle.com/forum

Reply
shahanwaz says May 8, 2007

hi Atul
i had setup in 11.5.9 and we want 2 upgrade it in 11.5.10 and my database is 9.2.0.5 so plz provide me steps to do upgrade or do i need to upgrade my database is also.

Thanx
RAHEEL KHAN

Reply
Atul Kumar says May 8, 2007

Check 316365.1 Oracle Applications Release 11.5.10.2 Maintenance Pack Installation Instructions

Upgrade of database is optional & not compulsory

Reply
A Shaik says May 17, 2007

Dear Atul,

Thanks for your information you have provided. We have a similar scneario but with 11.0.3 Applications. I need your help and opinion, which will be greatly appreciated.

Our Company is on 11.0.3/8.0.5 Version and on Digital UNIX V4.0F. We want to upgrade the applications to 11.5.10.2/10g DB and move it to Red Hat Linux AS 4.

I want to know during this upgrade process when we have to move the application to Linux either in the mid or after the upgrade. What is the best procedure.
Your inputs regarding this higly appreciated.

Regards,
AS

Reply
Atul Kumar says May 17, 2007

Hi AS,
I am have not upgarded/migrated from 11.0.3 so you might have to contact Oracle Support for this information

Reply
fouadbandarkar says June 5, 2007

Hi,

Please provide me the steps for Upgrading Oracle Applications 11.0.3 on Compaq Alpha to Oracle Applications 11.5.10.2 on Linux 4i.

Thanks and Regards,
Fouad.

Reply
Atul Kumar says June 5, 2007

Hi Foud, As I have not worked on 11.0.3 I may not be able to help you. Kindly check with Oracle Support

Reply
Anonymous says August 8, 2007

Mr. Atul,
i am stuck with below issue while upgrading to 11.5.10.
i already installed jdk 1.4
when i type
which java it is showing the path correctly.
java -version command also showing version 1.4.
please help.

cd $FND_TOP/patch/115/bin
txkJdkM.sh jdktop=/usr/java/j2sdk1.4.2_15/bin
Using Application context file /d00/oracle/siixappl/admin/SIIX_ebsiprd.xml…
Sourcing /d00/oracle/siixappl/SIIX_ebsiprd.env APPL_TOP environment file…..
A valid JDK installation directory is required – verify that
/usr/java/j2sdk1.4.2_15/bin
exists and is readable and restart txkJdkM.sh

Reply
Anonymous says August 8, 2007

Mr. Atul,
i am stuck with below issue while upgrading to 11.5.10.
i already installed jdk 1.4
when i type
which java it is showing the path correctly.
java -version command also showing version 1.4.
please help.

cd $FND_TOP/patch/115/bin
txkJdkM.sh jdktop=/usr/java/j2sdk1.4.2_15/bin
Using Application context file /d00/oracle/siixappl/admin/SIIX_ebsiprd.xml…
Sourcing /d00/oracle/siixappl/SIIX_ebsiprd.env APPL_TOP environment file…..
A valid JDK installation directory is required – verify that
/usr/java/j2sdk1.4.2_15/bin
exists and is readable and restart txkJdkM.sh

Reply
Atul Kumar says August 8, 2007

Kindly raise any issues in forum at http://teachMeOracle.com/forum

Reply
Michael says September 17, 2007

Thanks for your nice post!

Reply
Rao says June 10, 2008

Hi Atul,
We are currently using EBS 11.5.10.2 and would like to implement HRMS & Payroll. We are in the Family Pack level I. What are the steps we should follow to implement the same.

Thanks

Reply
Add Your Reply

[index]
[index]
[523.251,1046.50]
[523.251,1046.50]
[523.251,1046.50]
[523.251,1046.50]
[i]
[i]
[index]
[index]
[523.251,1046.50]
[523.251,1046.50]